
/*
 *  Javascript associated with googlemaps plugin
 */

function in_array(needle, haystack) {
  for (var i=0; i<haystack.length; i++)
    if (haystack[i] == needle) return true;
  
  return false;
}

function init_googlemaps() {

  // nothing to do?
  if (googlemap.length == 0) return;
  
  // retrieve all google map containers
  var nodes = document.body.getElementsByTagName('div');
  
  var i=0;
  for (var j=0; j<nodes.length; j++) {
    if (nodes[j].className.match(/\bgooglemap\b/)) {
      googlemap[i++].node = nodes[j];
    }
  }
  
  // iterate through all the map containers and set up each map
  for (i=0; i<googlemap.length; i++) {
    googlemap[i].map = new GMap2(googlemap[i].node);
    
    with (googlemap[i]) {
      if (controls == 1) {
        map.addControl(new GSmallMapControl());
        map.addControl(new GMapTypeControl());
      }
      // map.centerAndZoom(new GPoint(lon, lat), zoom);  
      map.setCenter(new GLatLng(lat, lon), zoom);  
      
      var supported = map.getMapTypes();
      map.setMapType(supported[type]);
    }
  }
}

var googlemap = new Array();
addInitEvent(init_googlemaps);
